@import 'reset.css';

/* ---------------------- FONT-FACES ---------------------- */

@font-face{
  font-family: 'ocr';
  src: url('fontes/Ocr-Pbi-pen_x1_y1.ttf');
}

@font-face{
  font-family: 'substitut';
  src: url('fontes/substitut.ttf');
}


/* ---------------------- GLOBAL ---------------------- */

html{

  font-size: 12px;
}

body{

  font-family: 'ocr', 'substitut';
  line-height: 1.25rem;
  padding: 1.5rem;


  *{

    box-sizing: border-box;

  }

  .clear{

    clear: both;
  }

  a{

    color: #03658f;
    text-decoration: none;

    &:hover{

      text-decoration: underline;

    }
  }

  input{

    border: 0;
  }

}

/* ---------------------- NAV ---------------------- */


header{

  .back-access{

    position: fixed;
    bottom: 1.5rem;
    right: 1.5rem;
    word-break: break-all;
    color: red;

    a{

      color: red;
      padding: 0.5rem 0.5rem 0.25rem 0.5rem;
      display: block;
    }

    a:hover{

      text-decoration: none;
      color: blue;
    }
  }

  .back-access:hover{

    color: blue;

  }

  nav{

    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    background: white;
    padding: 1.5rem 1.5rem 1rem 1.5rem;
    z-index: 999;
    display: flex;
    flex-wrap: wrap;
    width: 100%;

    >*{

      width: 25%;
    }


    >ul{

      display: flex;
      flex-wrap: wrap;

      >li{

        padding: 0 1.5rem 0 0;

        input{

          display: inline;
          width: 3rem;
          height: 1rem;
          background-color: #ffffff;
          color: red;
        }

        input[name="font-size"]{

          width: 9rem;

        }

        input#search_query{

          width: 9rem;
          color: black;

        }
      }

      li.active{

        color: red;
      }
    }
  }

}

/* ---------------------- SPECNAV ---------------------- */

#specNav{

  position: fixed;
  top: 50px;
  left: 0;
  right: 0;
  margin-left: 16%;
  background: white;
  height: 20px;
  border-bottom: 1px solid black;

  li{

    padding: 0 10px;
    cursor: pointer;

    &:hover, &.current{

      text-decoration: underline;

    }
  }
}

/* ---------------------- HOME ---------------------- */

.index{

  main{

    width: 100%;
    margin: 4rem 0 0 0;

    >header{


      .lists{

        display: flex;
        flex-wrap: wrap;
        margin: 0 0 0 25%;

        >div{

          width: calc(100% / 3);

          ul{

            li.hidden{
              display: none;
            }
          }
        }

      }
    }

    >.fonts{
      -moz-column-width: 30vw;
      -webkit-column-width: 30vw;
      -moz-column-gap: 1em;
      -webkit-column-gap: 1em;
      .font{
        display: inline-block;
        margin-bottom:  1em;
        padding:  1em;
        width:  100%;
        background:  #f0f0f0;

        .infos{
          display: flex;
          justify-content: space-around;
          .name{

            margin: 0 0 1.5rem 0;
          }

          li{
            width: 33%;
            padding: 0 5px;
            .title, .value{

              display: block;

            }

            .title{

              color: red;
            }

            .value{

              padding: 0 0 1rem 0;

            }

          }
        }
        .infos.titles li{
          width: 50%;
          &.download{
            text-align: right;
          }
        }

        .tester{


          >.demo {

            background: transparent;
            width: 100%;
            border: 0;
            font-family: inherit;
            line-height: 110%;
            hyphens: auto;
          }
          >.demo.letter,
          >.demo.word{
            text-align: center;
            display: block;
          }
          >.demo.letter{
            line-height: 90%;
            font-size: 300px;
          }
          >.demo.word{
            font-size: 150px;
          }
          >.demo.sentence{
            font-size: 70px;
          }
          >.demo.paragraph{
            font-size: 18px;
          }

        }

      }

    }

  }

}
/* ---------------------- FONT INFOS (SPECIMEN) ---------------------- */

#fontInfos{
  position: fixed;
  top: 0;
  bottom: 0;
  padding-top: 75px;
  width: 15%;
  border-right: 1px solid black;
  line-height: 1.4em;
  ul, li{
    display: block;
  }
  li{
    margin-left: 9px;
  }
  h1{
    padding-bottom: 10px;
  }
}

/* ---------------------- SPECIMEN ---------------------- */

#specimen{

  margin-left: 15%;
  width: 85%;
  margin-top: 75px;
  padding-left: 20px;
  text-align: left;

  p{

    input{

      background: transparent;
      width: 100%;
      border: 0;
      white-space: nowrap;
      font-family: inherit;

    }

  }

  .part{


    h2{

      margin-top: 15px;

    }

    h2, .size{

      font-family: 'ocr';
      margin-bottom: 15px;

    }

  }

  .waterfall input{

    text-align: left;

  }

  .layout{

    h3{

      font-size: 100px;

    }

    h3, p{

      margin: 0;
      padding: 10px;
      line-height: 1.15em;
    }

    .headline{

      font-size: 50px;

    }

    .col{

      font-size: 20px;
      padding: 10px;
      width: calc(50% - 40px);

    }
  }

  .az{

    white-space: normal !important;
    text-align: center;
    font-size: 100px;
    margin: 0;
    padding-right: 20px;
    line-height: 1.3em;

  }

  .approche{

    font-size: 30px;

  }

  .charMap canvas{

    margin-top: 200px;

  }

}

/* ---------------------- ABOUT ---------------------- */

.about{

  max-width: 600px;
  font-size: 1.25em;
  line-height: 1.2;

  h1, h2{

    margin-top: 20px;
    text-decoration: underline;

  }

  p{

    text-indent: 20px;

    .note{
      position: absolute;

      width: 180px;
      left: 640px;
      font-size: 12px;
      text-indent: 0;

    }

    img{

      width: 100%;
      margin: 20px 0;
      margin-left: -20px;

    }

  }

  p:nth-of-type(1){

    text-indent: 0;

  }

}

/* ---------------------- CHECK-FONT ---------------------- */

.check-font,
.modify-font{

  .invisible{

    display: none;
  }

  h1, h2{

    font-size: 3rem;
    line-height: 4rem;
    padding: 0 0 1rem 0;
    margin: 0 0 2.5rem 0;

  }

  .message{

    font-size: 1.5rem;
    line-height: 2rem;
    margin: 0 0 3rem 0;
    color: red;

    p{

      margin: 0 0 2.75rem 0;
      width: 50%;
    }
  }

  form{

    display: flex;
    flex-wrap: wrap;
    font-size: 1.5rem;

    h1{

      width: 100%;
    }

    h2,
    input[type="submit"]{

      width: 100%;
    }

    h3{

      font-size: 1.5rem;
      line-height: 2rem;
      padding: 0 0 1rem 0;
      margin: 0 0 1.75rem 0;
      width: 100%;
      display: flex;
      flex-wrap: wrap;

      .num{

        width: 100%;
        margin: 0 0 1.5rem 0;
      }



      .title{

        width: 80%;
        font-size: 3rem;
        line-height: 4rem;
      }
    }

    .font{

      width: calc(45% - 2px);
    }

    >div{

      display: flex;
      flex-wrap: wrap;
      padding: 1rem 1rem 1.75rem 1rem;
      margin: 0 5% 5% 0;


      label{

        width: 30%;
        color: #03658f;

      }

      input{

        width: 50%;
        margin: 0 0 1rem 0;
        font-family: "ocr";
        font-size: 1.5rem;
      }

      select{

        display: inline-block;
      }

      input:not([readonly]){

        background-color: #f2f3f4;

      }
    }


  }
}
